import { axios } from '@/utils/request'

//  收货地址 列表
export const shippingAddressQuery = (params) => {
  return axios({
    url: '/shippingAddress/queryList',
    data: params,
    method: 'post'
  })
}
//  收货地址 保存
export const shippingAddressSave = (params) => {
  return axios({
    url: '/shippingAddress/save',
    data: params,
    method: 'post'
  })
}
//  收货地址 设置默认
export const shippingAddressSet = (params) => {
  return axios({
    url: `/shippingAddress/setDefault/${params.id}`,
    method: 'get'
  })
}
//  收货地址 删除
export const shippingAddressDel = (params) => {
  return axios({
    url: `/shippingAddress/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
